freebsd-ports/java/jboss5/pkg-install
Ernst de Haan 4fe0ef03ca New port jboss2.
The jboss2ctl program does not work at this stage. I chose
to commit this port anyway because it has been lying around
for too long. Once it is in the ports tree, the improved
interest may trigger somebody else to fix the problem.

JBoss can be started using the supplied shell script anyway,
so it is still useful.

This is not the JBoss port submitted by Jesse Gallup in PR
35853, but one based on the www/orion port.

PR:	35853
2002-04-26 21:54:15 +00:00

47 lines
992 B
Bash

#!/bin/sh
#
# Checks if the 'www' user and group exist. If they don't, then
# an attempt is made to create both.
#
# $FreeBSD: /tmp/pcvs/ports/java/jboss5/Attic/pkg-install,v 1.1 2002-04-26 21:54:15 znerd Exp $
#
# Make sure we're called during the 'make install' process
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
# Set some constants
USER=www
GROUP=${USER}
UID=80
GID=${UID}
# See if the group already exists
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
# If not, try to create it
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
# See if the user already exists
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
# If not, try to create it
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0